openapi: 3.0.0
info:
  title: SAP API
  version: 1.0.0
servers:
- url: http://localhost:8080
paths:
  /rfc/SIW_SERVER_GET:
    post:
      tags:
      - SI16
      operationId: /rfc/SIW_SERVER_GET
      requestBody:
        content:
          application/json:
            schema:
              properties:
                USERNAME:
                  type: string
                  default: ''
                  maxLength: 12
                  description: SAP System, User Logon Name
                WEB_SERVER_TYPE:
                  type: string
                  default: ITS
                  maxLength: 3
                  description: Web server type
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                properties:
                  SERVER_NAME:
                    type: string
                    maxLength: 255
                    description: Relative Storage Location of Physical Document
                  SERVER_PATH:
                    type: string
                    maxLength: 255
                    description: Relative Storage Location of Physical Document
        '400':
          description: Bad request.
        5XX:
          description: Unexpected error.
